﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGActiveSelectedCase
{
    public class ViewModel
    {
        public ObservableCollection<FoodClass> Data { get; set; }
        public string[] food = { "Seafood", "Meat", "Vegetables", "Fruit", "Various Munchies" };
        public double[] price = { 3.99, 4.99, 2.99, 1.99, 2.99 };
        public int[] unitsIn = { 10, 20, 30, 40, 50 };
        public int[] unitsOn = { 5, 10, 15, 20, 25 };

        public ViewModel()
        {
            Data = new ObservableCollection<FoodClass>();
            for (int i = 0; i < food.Length; i++)
            {
                Data.Add(new FoodClass
                {
                    FoodType = food[i],
                    Price = price[i],
                    UnitsInStock = unitsIn[i],
                    UnitsOnOrder = unitsOn[i]
                });
            }
        }
    }


    public class FoodClass : INotifyPropertyChanged
    {

        private string food;
        private double price;
        private int uis;
        private int uoo;

        public string FoodType
        {
            get { return food; }
            set
            {
                if (food != value)
                {
                    food = value;
                    OnPropertyChanged("FoodType");
                }
            }
        }

        public double Price
        {
            get { return price; }
            set
            {
                if (price != value)
                {
                    price = value;
                    OnPropertyChanged("Price");
                }
            }
        }

        public int UnitsInStock
        {
            get { return uis; }
            set
            {
                if (uis != value)
                {
                    uis = value;
                    OnPropertyChanged("UnitsInStock");
                }
            }
        }

        public int UnitsOnOrder
        {
            get { return uoo; }
            set
            {
                if (uoo != value)
                {
                    uoo = value;
                    OnPropertyChanged("UnitsOnOrder");
                }
            }
        }



        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
